Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.exhaustivesearch
Class ExhaustiveSearchPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.PhaseConfig
          org.optaplanner.core.config.exhaustivesearch.ExhaustiveSearchPhaseConfig

    public class ExhaustiveSearchPhaseConfig

extends PhaseConfig

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`
`protected EntitySorterManner` | `entitySorterManner`
`protected ExhaustiveSearchType` | `exhaustiveSearchType`
`protected MoveSelectorConfig` | `moveSelectorConfig`
`protected NodeExplorationType` | `nodeExplorationType`
`protected ValueSorterManner` | `valueSorterManner`

Constructor Summary
`ExhaustiveSearchPhaseConfig()`

Method Summary
`ExhaustiveSearchPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`protected EntityDescriptor` | `deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`EntitySorterManner` | `getEntitySorterManner()`
`ExhaustiveSearchType` | `getExhaustiveSearchType()`
`MoveSelectorConfig` | `getMoveSelectorConfig()`
`NodeExplorationType` | `getNodeExplorationType()`
`ValueSorterManner` | `getValueSorterManner()`
`void` | `inherit(ExhaustiveSearchPhaseConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setEntitySorterManner(EntitySorterManner entitySorterManner)`
`void` | `setExhaustiveSearchType(ExhaustiveSearchType exhaustiveSearchType)`
`void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
`void` | `setNodeExplorationType(NodeExplorationType nodeExplorationType)`
`void` | `setValueSorterManner(ValueSorterManner valueSorterManner)`

Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig
`configurePhase, getTerminationConfig, inherit, setTerminationConfig, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exhaustiveSearchType

    protected ExhaustiveSearchType exhaustiveSearchType

### nodeExplorationType

    protected NodeExplorationType nodeExplorationType

### entitySorterManner

    protected EntitySorterManner entitySorterManner

### valueSorterManner

    protected ValueSorterManner valueSorterManner

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

### moveSelectorConfig

    protected MoveSelectorConfig moveSelectorConfig

Constructor Detail

### ExhaustiveSearchPhaseConfig

    public ExhaustiveSearchPhaseConfig()

Method Detail

### getExhaustiveSearchType

    public ExhaustiveSearchType getExhaustiveSearchType()

### setExhaustiveSearchType

    public void setExhaustiveSearchType(ExhaustiveSearchType exhaustiveSearchType)

### getNodeExplorationType

    public NodeExplorationType getNodeExplorationType()

### setNodeExplorationType

    public void setNodeExplorationType(NodeExplorationType nodeExplorationType)

### getEntitySorterManner

    public EntitySorterManner getEntitySorterManner()

### setEntitySorterManner

    public void setEntitySorterManner(EntitySorterManner entitySorterManner)

### getValueSorterManner

    public ValueSorterManner getValueSorterManner()

### setValueSorterManner

    public void setValueSorterManner(ValueSorterManner valueSorterManner)

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getMoveSelectorConfig

    public MoveSelectorConfig getMoveSelectorConfig()

### setMoveSelectorConfig

    public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

### buildPhase

    public ExhaustiveSearchPhase buildPhase(int phaseIndex,
                                            HeuristicConfigPolicy solverConfigPolicy,
                                            BestSolutionRecaller bestSolutionRecaller,
                                            Termination solverTermination)

  Specified by:
    `buildPhase` in class `PhaseConfig`

### deduceEntityDescriptor

    protected EntityDescriptor deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)

### inherit

    public void inherit(ExhaustiveSearchPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.